04/17/2012 04:39 AM - trans (Thomas Sawyer)

Status: Rejected
Priority: Normal
Assignee:

Target version: 1.9.3
Description

| believe we discussed before but | couldn't find the issue, so I'll just bring it up again.
Might MenTalLguY's Lazy library make it's way into Ruby proper?

http://moonbase.rydia.net/software/lazy.rb/

https://github.com/mental/lazy

History

#1 - 04/17/2012 12:41 PM - mame (Yusuke Endoh)
- Status changed from Open to Feedback

Explain why a gem does not work for you.

Yusuke Endoh mame@tsg.ne.jp

#2 - 04/19/2012 02:36 PM - trans (Thomas Sawyer)

That's kind of the thing about this actually. Because this library is a gem | am not using it even when | probably should be --or | am reinventing the
wheel and probably in not the most robust fashion.

Also, since lazy enumeration is now being introduced to the language it seems like appropriate time to introduce general lazy features as well.
For use cases, Ruby Best Practices By Gregory T. Brown has a good chapter called "Laziness Can Be a Virtue".

#3 - 04/20/2012 03:42 AM - mame (Yusuke Endoh)
- Status changed from Feedback to Rejected

That's kind of the thing about this actually. Because this library is a gem | am not using it even when | probably should be --or | am reinventing
the wheel and probably in not the most robust fashion.

Recently, we focus on "small Ruby" by moving stdlibs to gems because
adding a stdlib makes maintenance and release management hard.
2.0 will remove no stdlib for matz's compatibility policy, though.
Anyway, the reason you said is non-sense.

Personally, | understand you.

Picking wheat from chaff gems is not exciting work.

| suggested a separate "blessed" gem repository [ruby-core:26388]

for the reason, but | received a lot of hate.

Also, since lazy enumeration is now being introduced to the language it seems like appropriate time to introduce general lazy features as well.

I think it would be a better timing after lazy enumeration grows popular.

Please tell us if there is another "good" reason.

Yusuke Endoh mame@tsg.ne.jp
